# Appropriateness Test

## Get Appropriateness Test

> Get appropriateness test for a specific asset type. Returns the latest version of the test available in the database.

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Appropriateness Test","description":"Natural Person appropriateness test"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"AppropriatenessTest":{"title":"AppropriatenessTest","type":"object","description":"Appropriateness test with version and questions","properties":{"appropriatenessTestId":{"type":"string","format":"uuid"},"version":{"type":"integer","description":"Version of the test"},"assetType":{"$ref":"#/components/schemas/AppropriatenessTestAssetTypeEnum"},"questions":{"type":"array","description":"List of test questions","items":{"$ref":"#/components/schemas/AppropriatenessTestQuestion"}},"createdOn":{"type":"string","format":"date-time"}},"required":["appropriatenessTestId","version","assetType","questions","createdOn"]},"AppropriatenessTestAssetTypeEnum":{"title":"AppropriatenessTestAssetTypeEnum","type":"string","description":"Asset type for appropriateness test","enum":["SECURITY_TOKEN"]},"AppropriatenessTestQuestion":{"title":"AppropriatenessTestQuestion","type":"object","description":"Appropriateness test question with answers","properties":{"questionCode":{"type":"string","description":"Unique identifier for the question"},"category":{"type":"string","description":"Category of the question"},"questionText":{"type":"string","description":"Text of the question"},"answers":{"type":"array","description":"List of possible answers","items":{"$ref":"#/components/schemas/AppropriatenessTestAnswer"}}},"required":["questionCode","category","questionText","answers"]},"AppropriatenessTestAnswer":{"title":"AppropriatenessTestAnswer","type":"object","description":"Answer option for appropriateness test question","properties":{"answerCode":{"type":"string","description":"Unique identifier for the answer"},"answerText":{"type":"string","description":"Text of the answer"}},"required":["answerCode","answerText"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/appropriateness-test/asset-types/{appropriatenessTestAssetType}":{"get":{"summary":"Get Appropriateness Test","operationId":"get-appropriateness-test","tags":["Appropriateness Test"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppropriatenessTest"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get appropriateness test for a specific asset type. Returns the latest version of the test available in the database."}}}}
```

## Submit Appropriateness Test Responses

> Submit appropriateness test responses for a specific asset type

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Appropriateness Test","description":"Natural Person appropriateness test"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"SubmitAppropriatenessTestResponseResult":{"title":"SubmitAppropriatenessTestResponseResult","type":"object","properties":{"appropriatenessTestResponseId":{"type":"string","format":"uuid","description":"Unique Appropriateness Test Response identification number in UUID format","readOnly":true}},"required":["appropriatenessTestResponseId"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"AppropriatenessTestResponsesData":{"title":"AppropriatenessTestResponsesData","type":"object","description":"Data for submitting appropriateness test responses","properties":{"TradingProfileLanguage":{"$ref":"#/components/schemas/TradingProfileLanguageEnum"},"version":{"type":"integer","description":"Version of the appropriateness test"},"responses":{"type":"array","description":"List of test responses","items":{"$ref":"#/components/schemas/AppropriatenessTestResponseItem"}}},"required":["TradingProfileLanguage","version","responses"]},"TradingProfileLanguageEnum":{"title":"TradingProfileLanguageEnum","type":"string","description":"Language code in ISO 639-1 two-letter codes","enum":["en","de"]},"AppropriatenessTestResponseItem":{"title":"AppropriatenessTestResponseItem","type":"object","description":"Single appropriateness test response item","properties":{"questionCode":{"type":"string","description":"Identifier of the question"},"answerCode":{"type":"string","description":"Identifier of the selected answer"}},"required":["questionCode","answerCode"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}/appropriateness-test/asset-types/{appropriatenessTestAssetType}/responses":{"post":{"summary":"Submit Appropriateness Test Responses","operationId":"submit-appropriateness-test-responses","tags":["Appropriateness Test"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitAppropriatenessTestResponseResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Submit appropriateness test responses for a specific asset type","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppropriatenessTestResponsesData"}}}}}}}}
```

## Get Appropriateness Test Responses

> Get all appropriateness test responses for a natural person and specific asset type

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Appropriateness Test","description":"Natural Person appropriateness test"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"cursor":{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},"limit":{"schema":{"type":"integer","default":20,"minimum":1},"in":"query","name":"limit","description":"Maximum number of items to return","required":true},"TradingProfileLanguage":{"schema":{"$ref":"#/components/schemas/TradingProfileLanguageEnum"},"name":"TradingProfileLanguage","in":"query","required":true,"description":"Language code in ISO 639-1 two-letter codes"},"TradingProfileStatus":{"schema":{"$ref":"#/components/schemas/AppropriatenessTestResponseStatusEnum"},"name":"TradingProfileStatus","in":"query","required":false,"description":"One of following [RECEIVED, FAILED, PASSED, INVALID]"}},"schemas":{"TradingProfileLanguageEnum":{"title":"TradingProfileLanguageEnum","type":"string","description":"Language code in ISO 639-1 two-letter codes","enum":["en","de"]},"AppropriatenessTestResponseStatusEnum":{"title":"AppropriatenessTestResponseStatusEnum","type":"string","description":"Status of the appropriateness test response","enum":["RECEIVED","FAILED","PASSED","INVALID"]},"AppropriatenessTestResponses":{"title":"AppropriatenessTestResponses","type":"object","description":"Paginated list of appropriateness test responses","properties":{"data":{"type":"array","description":"Array of appropriateness test responses","items":{"$ref":"#/components/schemas/AppropriatenessTestResponse"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"AppropriatenessTestResponse":{"title":"AppropriatenessTestResponse","type":"object","description":"Data for submitting appropriateness test responses","properties":{"TradingProfileLanguage":{"$ref":"#/components/schemas/TradingProfileLanguageEnum"},"version":{"type":"integer","description":"Version of the appropriateness test"},"responses":{"type":"array","description":"List of test responses","items":{"$ref":"#/components/schemas/AppropriatenessTestResponseItem"}},"appropriatenessTestId":{"type":"string","format":"uuid","description":"Unique identifier of the appropriateness test"},"appropriatenessTestResponseId":{"type":"string","format":"uuid","description":"Unique identifier of the appropriateness test response"},"createdOn":{"type":"string","format":"date-time","description":"Date and time when the response was created"},"modifiedOn":{"type":"string","format":"date-time","description":"Date and time when the response was last modified"},"status":{"$ref":"#/components/schemas/AppropriatenessTestResponseStatusEnum"}},"required":["TradingProfileLanguage","appropriatenessTestId","appropriatenessTestResponseId","appropriatenessTestVersion","createdOn","modifiedOn","responses","status","version"]},"AppropriatenessTestResponseItem":{"title":"AppropriatenessTestResponseItem","type":"object","description":"Single appropriateness test response item","properties":{"questionCode":{"type":"string","description":"Identifier of the question"},"answerCode":{"type":"string","description":"Identifier of the selected answer"}},"required":["questionCode","answerCode"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}/appropriateness-test/asset-types/{appropriatenessTestAssetType}/responses":{"get":{"summary":"Get Appropriateness Test Responses","operationId":"get-appropriateness-test-responses","tags":["Appropriateness Test"],"parameters":[{"$ref":"#/components/parameters/cursor"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/TradingProfileLanguage"},{"$ref":"#/components/parameters/TradingProfileStatus"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppropriatenessTestResponses"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get all appropriateness test responses for a natural person and specific asset type"}}}}
```

## Get Appropriateness Test Response

> Get all appropriateness test responses for a natural person and specific asset type

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Appropriateness Test","description":"Natural Person appropriateness test"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"appropriatenessTestResponseId":{"schema":{"type":"string","format":"uuid"},"name":"appropriatenessTestResponseId","in":"path","required":true,"description":"appropriatenessTestResponseId"}},"schemas":{"AppropriatenessTestResponse":{"title":"AppropriatenessTestResponse","type":"object","description":"Data for submitting appropriateness test responses","properties":{"TradingProfileLanguage":{"$ref":"#/components/schemas/TradingProfileLanguageEnum"},"version":{"type":"integer","description":"Version of the appropriateness test"},"responses":{"type":"array","description":"List of test responses","items":{"$ref":"#/components/schemas/AppropriatenessTestResponseItem"}},"appropriatenessTestId":{"type":"string","format":"uuid","description":"Unique identifier of the appropriateness test"},"appropriatenessTestResponseId":{"type":"string","format":"uuid","description":"Unique identifier of the appropriateness test response"},"createdOn":{"type":"string","format":"date-time","description":"Date and time when the response was created"},"modifiedOn":{"type":"string","format":"date-time","description":"Date and time when the response was last modified"},"status":{"$ref":"#/components/schemas/AppropriatenessTestResponseStatusEnum"}},"required":["TradingProfileLanguage","appropriatenessTestId","appropriatenessTestResponseId","appropriatenessTestVersion","createdOn","modifiedOn","responses","status","version"]},"TradingProfileLanguageEnum":{"title":"TradingProfileLanguageEnum","type":"string","description":"Language code in ISO 639-1 two-letter codes","enum":["en","de"]},"AppropriatenessTestResponseItem":{"title":"AppropriatenessTestResponseItem","type":"object","description":"Single appropriateness test response item","properties":{"questionCode":{"type":"string","description":"Identifier of the question"},"answerCode":{"type":"string","description":"Identifier of the selected answer"}},"required":["questionCode","answerCode"]},"AppropriatenessTestResponseStatusEnum":{"title":"AppropriatenessTestResponseStatusEnum","type":"string","description":"Status of the appropriateness test response","enum":["RECEIVED","FAILED","PASSED","INVALID"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/entities/natural-persons/appropriateness-test/responses/{appropriatenessTestResponseId}":{"get":{"summary":"Get Appropriateness Test Response","operationId":"get-appropriateness-test-response","tags":["Appropriateness Test"],"parameters":[{"$ref":"#/components/parameters/appropriatenessTestResponseId"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppropriatenessTestResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get all appropriateness test responses for a natural person and specific asset type"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/entities/natural-persons-directory/appropriateness-test.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
